{ lib, modulesPath, ... }:

let
  inherit (lib) mkVMOverride;

in

{
  imports = [ (modulesPath + "/virtualisation/qemu-vm.nix") ];

  fediversity = {
    enable = true;
    domain = "localhost";
    pixelfed.enable = true;
  };

  services.pixelfed = {
    settings = {
      FORCE_HTTPS_URLS = false;
    };
    nginx = {
      forceSSL = mkVMOverride false;
      enableACME = mkVMOverride false;
    };
  };
}
